'Ausblenden von Ebenen und Achsen in einem CATPart bzw. CATProduct' 'Für V5R10SP5 auf PC mit deutscher Ländereinstellung' 'Script erstellt von J.Ganz (jochen.ganz@weinig.de) am 13.08.03' 'Eigentum der Michael Weinig AG' 'Sollte jemand das Script weiterentwickeln, wäre ich dankbar, wenn mir die Weiterentwicklung' 'per Mail zugesendet würde.' 'Das Sript darf als solches weder Verkauft oder Angeboten werden' 'Erveitert um Linien und Punkte vom (drago.boras@airbus.com) am 12.09.2008' 'Erveitert um Bedingungen vom (K.Siebert@isomark.de) am 10.10.2008' Language="VBSCRIPT" Sub CATMain() CATIA.Caption = theCATTitle On Error Resume Next 'Fehlermeldung aussgeschaltet' Dim productDocument1 As Document Set productDocument1 = CATIA.ActiveDocument CATIA.Caption = "Achsensysteme, die sichtbar sind ausblenden" Dim selection1 As Selection Set selection1 = productDocument1.Selection selection1.Search "(.Achsensystem & Sichtbarkeit=sichtbar);Alle" Set visPropertySet1 = selection1.VisProperties visPropertySet1.SetShow 1 selection1.Clear CATIA.Caption ="Ebenen, die sichtbar sind werden ausgeblendet" Dim selection2 As Selection Set selection2 = productDocument1.Selection selection2.Search "(.Ebene & Sichtbarkeit=sichtbar);Alle" Set visPropertySet2 = selection2.VisProperties visPropertySet2.SetShow 1 selection2.Clear CATIA.Caption = theCATTitle CATIA.Caption ="Linien, die sichtbar sind werden ausgeblendet" Dim selection3 As Selection Set selection3 = productDocument1.Selection selection3.Search "(.Line & Sichtbarkeit=sichtbar);Alle" Set visPropertySet3 = selection3.VisProperties visPropertySet3.SetShow 1 selection3.Clear CATIA.Caption = theCATTitle CATIA.Caption ="Punkte, die sichtbar sind werden ausgeblendet" Dim selection4 As Selection Set selection4 = productDocument1.Selection selection4.Search "(.Punkt & Sichtbarkeit=sichtbar);Alle" Set visPropertySet4 = selection4.VisProperties visPropertySet4.SetShow 1 selection4.Clear CATIA.Caption = theCATTitle 'Bedingungen ausblenden selection1.Search "CATAsmSearch.MfConstraint,all" Set visPropertySet1 = selection1.VisProperties visPropertySet1.SetShow 1 Dim oSel as Selection Set oSel = CATIA.ActiveDocument.Selection oSel.Clear msgbox "FERTIG!" End Sub